Update a tag group dimension
curl --request PUT \
--url https://external.pleo.io/v0/tag-groups/{groupId}/dimensions/{dimensionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"code": "5524f270-6c21-11ee-b962-0242ac120002",
"displayOrder": 1,
"name": "Project",
"visible": false
}
'import requests
url = "https://external.pleo.io/v0/tag-groups/{groupId}/dimensions/{dimensionId}"
payload = {
"code": "5524f270-6c21-11ee-b962-0242ac120002",
"displayOrder": 1,
"name": "Project",
"visible": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
code: '5524f270-6c21-11ee-b962-0242ac120002',
displayOrder: 1,
name: 'Project',
visible: false
})
};
fetch('https://external.pleo.io/v0/tag-groups/{groupId}/dimensions/{dimensionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"code": "5524f270-6c21-11ee-b962-0242ac120002",
"createdAt": "2023-08-23T03:11:48Z",
"displayOrder": 1,
"groupId": "c04c7e9e-6c15-11ee-b962-0242ac120003",
"id": "c04c7e9e-6c15-11ee-b962-0242ac120002",
"name": "Project",
"updatedAt": "2023-08-23T03:11:48Z",
"visible": false
}
}Tag Groups
Update a tag group dimension
PUT
/
v0
/
tag-groups
/
{groupId}
/
dimensions
/
{dimensionId}
Update a tag group dimension
Authorizations
bearerAuthbasicAuth
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
Unique identifier of the tag group this dimension belongs to.
Unique identifier of the tag group dimension to be updated.
Body
application/json;charset=UTF-8
Code used in the external ERP/accounting system to identify the tag group dimension.
Example:
"5524f270-6c21-11ee-b962-0242ac120002"
Numerical value assigned to the tag group dimension to determine the display position.
Example:
1
User readable name of the tag group dimension.
Example:
"Project"
Determines if this tag group dimension is displayed in the UI.
Example:
false
Response
default - application/json;charset=UTF-8
default response
Show child attributes
Show child attributes
Was this page helpful?
⌘I